=== release 0.10.28 ===

2011-03-08  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	  releasing 0.10.28, "Inconvenienced by the Solar System"

2011-03-03 00:16:47 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* sys/v4l2/v4l2_calls.h:
	  v4l2: remove unnecessary linux/videodev.h include
	  Causes compilation issues with newer kernel headers where the old
	  v4l interface has been removed.
	  https://bugzilla.gnome.org/show_bug.cgi?id=643716

=== release 0.10.27 ===

2011-01-21 12:54:16 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-1394.xml:
	* docs/plugins/inspect/plugin-aasink.xml:
	* docs/plugins/inspect/plugin-alaw.xml:
	* docs/plugins/inspect/plugin-alpha.xml:
	* docs/plugins/inspect/plugin-alphacolor.xml:
	* docs/plugins/inspect/plugin-annodex.xml:
	* docs/plugins/inspect/plugin-apetag.xml:
	* docs/plugins/inspect/plugin-audiofx.xml:
	* docs/plugins/inspect/plugin-auparse.xml:
	* docs/plugins/inspect/plugin-autodetect.xml:
	* docs/plugins/inspect/plugin-avi.xml:
	* docs/plugins/inspect/plugin-cacasink.xml:
	* docs/plugins/inspect/plugin-cairo.xml:
	* docs/plugins/inspect/plugin-cutter.xml:
	* docs/plugins/inspect/plugin-debug.xml:
	* docs/plugins/inspect/plugin-deinterlace.xml:
	* docs/plugins/inspect/plugin-dv.xml:
	* docs/plugins/inspect/plugin-efence.xml:
	* docs/plugins/inspect/plugin-effectv.xml:
	* docs/plugins/inspect/plugin-equalizer.xml:
	* docs/plugins/inspect/plugin-esdsink.xml:
	* docs/plugins/inspect/plugin-flac.xml:
	* docs/plugins/inspect/plugin-flv.xml:
	* docs/plugins/inspect/plugin-flxdec.xml:
	* docs/plugins/inspect/plugin-gconfelements.xml:
	* docs/plugins/inspect/plugin-gdkpixbuf.xml:
	* docs/plugins/inspect/plugin-goom.xml:
	* docs/plugins/inspect/plugin-goom2k1.xml:
	* docs/plugins/inspect/plugin-gstrtpmanager.xml:
	* docs/plugins/inspect/plugin-halelements.xml:
	* docs/plugins/inspect/plugin-icydemux.xml:
	* docs/plugins/inspect/plugin-id3demux.xml:
	* docs/plugins/inspect/plugin-imagefreeze.xml:
	* docs/plugins/inspect/plugin-interleave.xml:
	* docs/plugins/inspect/plugin-jack.xml:
	* docs/plugins/inspect/plugin-jpeg.xml:
	* docs/plugins/inspect/plugin-level.xml:
	* docs/plugins/inspect/plugin-matroska.xml:
	* docs/plugins/inspect/plugin-mulaw.xml:
	* docs/plugins/inspect/plugin-multifile.xml:
	* docs/plugins/inspect/plugin-multipart.xml:
	* docs/plugins/inspect/plugin-navigationtest.xml:
	* docs/plugins/inspect/plugin-oss4.xml:
	* docs/plugins/inspect/plugin-ossaudio.xml:
	* docs/plugins/inspect/plugin-png.xml:
	* docs/plugins/inspect/plugin-pulseaudio.xml:
	* docs/plugins/inspect/plugin-quicktime.xml:
	* docs/plugins/inspect/plugin-replaygain.xml:
	* docs/plugins/inspect/plugin-rtp.xml:
	* docs/plugins/inspect/plugin-rtsp.xml:
	* docs/plugins/inspect/plugin-shapewipe.xml:
	* docs/plugins/inspect/plugin-shout2send.xml:
	* docs/plugins/inspect/plugin-smpte.xml:
	* docs/plugins/inspect/plugin-soup.xml:
	* docs/plugins/inspect/plugin-spectrum.xml:
	* docs/plugins/inspect/plugin-speex.xml:
	* docs/plugins/inspect/plugin-taglib.xml:
	* docs/plugins/inspect/plugin-udp.xml:
	* docs/plugins/inspect/plugin-video4linux2.xml:
	* docs/plugins/inspect/plugin-videobox.xml:
	* docs/plugins/inspect/plugin-videocrop.xml:
	* docs/plugins/inspect/plugin-videofilter.xml:
	* docs/plugins/inspect/plugin-videomixer.xml:
	* docs/plugins/inspect/plugin-wavenc.xml:
	* docs/plugins/inspect/plugin-wavpack.xml:
	* docs/plugins/inspect/plugin-wavparse.xml:
	* docs/plugins/inspect/plugin-ximagesrc.xml:
	* docs/plugins/inspect/plugin-y4menc.xml:
	* gst-plugins-good.doap:
	* win32/common/config.h:
	  Release 0.10.27

2011-01-20 14:10:55 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/rtp/gstrtph264depay.c:
	  h264depay: don't leak codec data buffer in byte-stream=true mode
	  https://bugzilla.gnome.org/show_bug.cgi?id=640063

2011-01-20 13:41:33 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: don't leak url string
	  https://bugzilla.gnome.org/show_bug.cgi?id=640064

2011-01-20 11:45:47 +0100  Edward Hervey <edward.hervey@collabora.co.uk>

	* gst/qtdemux/qtdemux.c:
	  qtdemux: Gracefully handle mov files misusing the WAVE atoms
	  Check that the WAVEHEADER node is present instead of blindly using it.
	  If not present we won't be able to provide a more refined caps, but at
	  least we won't crash.
	  https://bugzilla.gnome.org/show_bug.cgi?id=640028

2011-01-20 00:07:33 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* sys/v4l2/gstv4l2sink.c:
	  v4l2sink: fix accidental breakage of navigation interface support

2011-01-18 12:58:29 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* win32/common/config.h:
	  0.10.26.4 pre-release

2011-01-12 14:03:57 -0800  David Schleef <ds@schleef.org>

	* gst/deinterlace/gstdeinterlacemethod.c:
	  deinterlace: rewrite how neighboring scan lines are calculated
	  Old code was difficult to understand exactly how the neighboring
	  scan lines are calculated, and it appeared that some were off by
	  +2 or -2, depending on the field flag.  Fixes #639321.

2011-01-18 09:33:06 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/avi/gstavisubtitle.c:
	  avisubtitle: set caps on srcpad to fix issue with discoverer
	  Set caps from the start so discoverer doesn't blow up on
	  seeing no negotiated caps between elements on preroll,
	  which might happen if no subtitle buffers have been
	  pushed yet at the time. See file from bug #603308.

2011-01-17 20:09:16 +0530  Arun Raghavan <arun.raghavan@collabora.co.uk>

	* ext/pulse/pulsesink.c:
	  pulsesink: Uncork stream while flushing the ringbuffer
	  After starting the ringbuffer, we wait for enough data to arrive before
	  uncorking the stream. This will cause the pipeline to stall if we get an
	  EOS (or otherwise need to flush the stream) before sufficient data
	  becomes available. This patch makes sure that the stream is uncorked
	  while flushing to avoid this problem.
	  Fixes issue with a webkit unit test testing reverse playback of
	  an MP4 H.264/AAC file.
	  https://bugzilla.gnome.org/show_bug.cgi?id=639740

2011-01-14 14:51:51 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/matroska/matroska-mux.c:
	  matroskamux: avoid creating caps from string when possible
	  Fixes #639516.

2011-01-14 14:48:49 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/avi/gstavimux.c:
	  avimux: set src pad caps when starting file
	  Fixes #639516.

2011-01-12 20:38:59 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* sys/v4l2/gstv4l2bufferpool.c:
	* sys/v4l2/gstv4l2object.c:
	  v4l2: define V4L2_FIELD_INTERLACED_{TB,BT} if not available in header
	  Older kernels don't have these, and there's no easy way to check for the
	  existance of enums that doesn't involve a configure check, so just define
	  these if the V4L2_CAP_VIDEO_OUTPUT_OVERLAY define is not there, which was
	  added in the same commit as the TB/BT enum. Fixes compilation on CentOS 5.
	  https://bugzilla.gnome.org/show_bug.cgi?id=639339

2011-01-11 23:18:59 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* win32/common/config.h:
	  0.10.26.3 pre-release

2011-01-11 22:42:42 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* docs/plugins/gst-plugins-good-plugins.args:
	* docs/plugins/gst-plugins-good-plugins.hierarchy:
	* docs/plugins/gst-plugins-good-plugins.interfaces:
	* docs/plugins/gst-plugins-good-plugins.prerequisites:
	* docs/plugins/inspect/plugin-1394.xml:
	* docs/plugins/inspect/plugin-aasink.xml:
	* docs/plugins/inspect/plugin-alaw.xml:
	* docs/plugins/inspect/plugin-alpha.xml:
	* docs/plugins/inspect/plugin-alphacolor.xml:
	* docs/plugins/inspect/plugin-annodex.xml:
	* docs/plugins/inspect/plugin-apetag.xml:
	* docs/plugins/inspect/plugin-audiofx.xml:
	* docs/plugins/inspect/plugin-auparse.xml:
	* docs/plugins/inspect/plugin-autodetect.xml:
	* docs/plugins/inspect/plugin-avi.xml:
	* docs/plugins/inspect/plugin-cacasink.xml:
	* docs/plugins/inspect/plugin-cairo.xml:
	* docs/plugins/inspect/plugin-cutter.xml:
	* docs/plugins/inspect/plugin-debug.xml:
	* docs/plugins/inspect/plugin-deinterlace.xml:
	* docs/plugins/inspect/plugin-dv.xml:
	* docs/plugins/inspect/plugin-efence.xml:
	* docs/plugins/inspect/plugin-effectv.xml:
	* docs/plugins/inspect/plugin-equalizer.xml:
	* docs/plugins/inspect/plugin-esdsink.xml:
	* docs/plugins/inspect/plugin-flac.xml:
	* docs/plugins/inspect/plugin-flv.xml:
	* docs/plugins/inspect/plugin-flxdec.xml:
	* docs/plugins/inspect/plugin-gconfelements.xml:
	* docs/plugins/inspect/plugin-gdkpixbuf.xml:
	* docs/plugins/inspect/plugin-goom.xml:
	* docs/plugins/inspect/plugin-goom2k1.xml:
	* docs/plugins/inspect/plugin-gstrtpmanager.xml:
	* docs/plugins/inspect/plugin-halelements.xml:
	* docs/plugins/inspect/plugin-icydemux.xml:
	* docs/plugins/inspect/plugin-id3demux.xml:
	* docs/plugins/inspect/plugin-imagefreeze.xml:
	* docs/plugins/inspect/plugin-interleave.xml:
	* docs/plugins/inspect/plugin-jack.xml:
	* docs/plugins/inspect/plugin-jpeg.xml:
	* docs/plugins/inspect/plugin-level.xml:
	* docs/plugins/inspect/plugin-matroska.xml:
	* docs/plugins/inspect/plugin-mulaw.xml:
	* docs/plugins/inspect/plugin-multifile.xml:
	* docs/plugins/inspect/plugin-multipart.xml:
	* docs/plugins/inspect/plugin-navigationtest.xml:
	* docs/plugins/inspect/plugin-oss4.xml:
	* docs/plugins/inspect/plugin-ossaudio.xml:
	* docs/plugins/inspect/plugin-png.xml:
	* docs/plugins/inspect/plugin-pulseaudio.xml:
	* docs/plugins/inspect/plugin-quicktime.xml:
	* docs/plugins/inspect/plugin-replaygain.xml:
	* docs/plugins/inspect/plugin-rtp.xml:
	* docs/plugins/inspect/plugin-rtsp.xml:
	* docs/plugins/inspect/plugin-shapewipe.xml:
	* docs/plugins/inspect/plugin-shout2send.xml:
	* docs/plugins/inspect/plugin-smpte.xml:
	* docs/plugins/inspect/plugin-soup.xml:
	* docs/plugins/inspect/plugin-spectrum.xml:
	* docs/plugins/inspect/plugin-speex.xml:
	* docs/plugins/inspect/plugin-taglib.xml:
	* docs/plugins/inspect/plugin-udp.xml:
	* docs/plugins/inspect/plugin-video4linux2.xml:
	* docs/plugins/inspect/plugin-videobox.xml:
	* docs/plugins/inspect/plugin-videocrop.xml:
	* docs/plugins/inspect/plugin-videofilter.xml:
	* docs/plugins/inspect/plugin-videomixer.xml:
	* docs/plugins/inspect/plugin-wavenc.xml:
	* docs/plugins/inspect/plugin-wavpack.xml:
	* docs/plugins/inspect/plugin-wavparse.xml:
	* docs/plugins/inspect/plugin-ximagesrc.xml:
	* docs/plugins/inspect/plugin-y4menc.xml:
	  docs: update docs

2011-01-11 23:39:12 +0530  Arun Raghavan <arun.raghavan@collabora.co.uk>

	* ext/pulse/pulsesink.c:
	  pulsesink: Make corking during pause synchronous
	  This makes the call to pa_stream_cork() during ringbuffer pause()
	  synchronous, which makes sure that the clock does not advance after we
	  take a snapshot for start_time.
	  https://bugzilla.gnome.org/show_bug.cgi?id=639240

2011-01-11 19:33:16 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* po/da.po:
	* po/gl.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/sl.po:
	* po/sv.po:
	* po/tr.po:
	  po: update translations

2011-01-11 15:50:28 +0200  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From e572c87 to f94d739

2011-01-10 16:36:19 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From ccbaa85 to e572c87

2011-01-10 14:53:39 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 46445ad to ccbaa85

2011-01-07 13:24:02 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* win32/common/config.h:
	  0.10.26.2 pre-release

2011-01-07 13:06:38 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_HK.po:
	* po/zh_TW.po:
	  po: update translations

2011-01-07 02:32:20 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/alpha/gstalpha.c:
	  alpha: fix compiler warnings caused by -DG_DISABLE_ASSERT

2011-01-07 02:06:51 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/matroska/ebml-read.c:
	  matroska: don't put essential function calls into g_assert()
	  g_assert() will expand to NOOPs if -DG_DISABLE_ASSERT is passed.

2011-01-07 01:35:45 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* sys/v4l2/gstv4l2sink.c:
	  v4l2sink: don't put functional code like ioctl calls into g_return_if_fail()
	  These macros will expand to NOOPs given the right defines. Also,
	  g_return_if_fail() and friends are meant to be used to catch programming
	  errors (like invalid input to functions), not runtime error handling.

2011-01-07 01:11:02 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* tests/check/Makefile.am:
	  tests: never disable g_assert() and cast checks for the unit tests
	  The unit tests are riddled with g_assert() and friends, make sure we
	  don't disable assert and cast checks for the unit tests even if
	  this has been specified for the rest of the code base, e.g. via
	  --disable-glib-asserts.

2011-01-06 12:29:21 +0100  Edward Hervey <edward.hervey@collabora.co.uk>

	* gst/rtp/gstrtpmp4adepay.c:
	  rtp: Fix unitialized variables on macosx

2011-01-06 12:28:58 +0100  Edward Hervey <edward.hervey@collabora.co.uk>

	* gst/qtdemux/qtdemux_dump.c:
	  qtdemux: Fix unitialized variables on macosx

2011-01-05 17:49:16 -0800  David Schleef <ds@schleef.org>

	* gst/debugutils/gstcapsdebug.c:
	  capsdebug: Add capdebug debug category

2010-12-11 12:42:10 -0800  David Schleef <ds@schleef.org>

	* gst/deinterlace/gstdeinterlace.c:
	  deinterlace: Change the default to linear
	  The previous default, greedyh, takes 4 times as long as MPEG-2
	  video decoding, and is unlikely fast enough on any current CPU
	  to play 1080i video in real-time.  greedyl isn't much faster.
	  linear was chosen over vfir, since the quality advantage of vfir
	  is minimal compared to the occasional visual artifacts and slower
	  processing.

2011-01-05 18:32:58 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: don't confuse return values
	  Return a return value of the right type.

2011-01-05 16:24:13 +0100  Edward Hervey <edward.hervey@collabora.co.uk>

	* gst/qtdemux/qtdemux.c:
	* gst/qtdemux/qtdemux_dump.c:
	  qtdemux: Fix unitialized variables on macosx

2011-01-05 15:03:32 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/rtp/gstrtpvrawdepay.c:
	  vrawdepay: fix length check
	  Add some more debugging.
	  Add the length check so we don't cause unneeded warnings.

2011-01-05 12:04:03 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/udp/gstmultiudpsink.c:
	* gst/udp/gstmultiudpsink.h:
	  multiudpsink: add buffer-size property
	  Add buffer-size property to configure the kernel send buffer.

2011-01-03 20:16:22 +0200  Stefan Kost <ensonic@users.sf.net>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: remove unused variables when debug-logging disabled

2011-01-03 20:06:35 +0200  Stefan Kost <ensonic@users.sf.net>

	* gst/matroska/matroska-demux.c:
	  matroska-demux: remove unused variables when debug-logging disabled

2011-01-03 18:05:15 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/libcaca/gstcacasink.c:
	  cacasink: fix masks and strides
	  Use the right endianness to read the masks.
	  Use the right strides for the bitmap.
	  Fixes #638569

2011-01-03 01:18:06 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* sys/v4l2/gstv4l2src.c:
	  v4l2src: undo presumably accidental enablement of the GstXOverlay interface
	  Looks like this got enabled by accident when adding it to v4l2sink,
	  so undo this for now. Not sure it makes much sense in a GStreamer
	  context with current hardware.

2011-01-03 15:40:11 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: increase udp buffer size
	  Set a bigger UDP buffer size by default to reduce packet loss with
	  high bitrate streams.

2011-01-02 19:19:27 -0800  David Schleef <ds@schleef.org>

	* gst/multifile/gstmultifilesink.c:
	* gst/multifile/gstmultifilesink.h:
	  multifilesink: send stream headers in key-frame mode

2011-01-02 19:43:02 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/jack/Makefile.am:
	* ext/jack/README:
	* ext/jack/gstjack.c:
	* ext/jack/gstjackaudiosink.c:
	* ext/jack/gstjackaudiosrc.c:
	  jack: fix up element details and some other minor clean-ups

2011-01-02 19:23:51 +0000  Erich Schubert <erich@debian.org>

	* gst/id3demux/id3v2frames.c:
	  id3demux: fix parsing of ID3v2.4 genre frames with multiple genres
	  We'd only extract the first genre (multiple times) instead of all
	  genres.
	  https://bugzilla.gnome.org/show_bug.cgi?id=638535

2011-01-02 17:40:41 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/jack/gstjackaudiosink.c:
	* ext/jack/gstjackaudiosrc.c:
	  jack: template caps had lists with one value, just use value directly

2011-01-02 17:07:19 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/jack/gstjack.c:
	* ext/jack/gstjackaudiosink.c:
	* ext/jack/gstjackaudiosrc.c:
	  jack: make get_type functions thread-safe
	  Because we can (shouldn't be needed with other workarounds still there).

2011-01-02 15:27:19 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* docs/plugins/gst-plugins-good-plugins.args:
	* docs/plugins/gst-plugins-good-plugins.hierarchy:
	* docs/plugins/gst-plugins-good-plugins.interfaces:
	* docs/plugins/gst-plugins-good-plugins.prerequisites:
	* docs/plugins/inspect/plugin-deinterlace.xml:
	* docs/plugins/inspect/plugin-matroska.xml:
	* docs/plugins/inspect/plugin-monoscope.xml:
	* docs/plugins/inspect/plugin-rtp.xml:
	  docs: update plugin docs

2011-01-02 15:25:41 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* .gitignore:
	* configure.ac:
	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-good-plugins-docs.sgml:
	* docs/plugins/gst-plugins-good-plugins-sections.txt:
	* docs/plugins/inspect/plugin-jack.xml:
	* ext/Makefile.am:
	* gst-plugins-good.spec.in:
	* tests/examples/Makefile.am:
	* tests/examples/jack/Makefile.am:
	  jack: new jackaudiosrc and jackaudiosink elements, moved from gst-plugins-bad
	  https://bugzilla.gnome.org/show_bug.cgi?id=621929

2010-10-19 16:23:23 +0300  Stefan Kost <ensonic@users.sf.net>

	* ext/jack/gstjackaudiosink.c:
	* ext/jack/gstjackaudiosrc.c:
	  various (ext): add missing G_PARAM_STATIC_STRINGS flags
	  Canonicalize property names as needed.

2010-09-09 14:49:06 -0400  Tristan Matthews <le.businessman@gmail.com>

	* ext/jack/Makefile.am:
	* ext/jack/gstjackaudiosink.c:
	* ext/jack/gstjackaudiosrc.c:
	  jack: added translatable text for server not found error

2010-09-06 17:17:54 -0400  Tristan Matthews <le.businessman@gmail.com>

	* tests/examples/jack/Makefile.am:
	* tests/examples/jack/jack_client.c:
	  examples: add test to demonstrate jack_client_t usage

2010-09-06 16:11:31 -0400  Tristan Matthews <le.businessman@gmail.com>

	* ext/jack/gstjack.c:
	* ext/jack/gstjack.h:
	* ext/jack/gstjackaudioclient.c:
	* ext/jack/gstjackaudioclient.h:
	* ext/jack/gstjackaudiosink.c:
	* ext/jack/gstjackaudiosink.h:
	* ext/jack/gstjackaudiosrc.c:
	* ext/jack/gstjackaudiosrc.h:
	  jack: added client property

2010-06-17 16:26:07 -0400  Tristan Matthews <tristan@sat.qc.ca>

	* ext/jack/gstjackbin.c:
	  jack: removed unused file gstjackbin.c
	  This is a 0.8 leftover.

2010-05-13 12:55:29 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/jack/gstjackaudiosrc.c:
	  jacksrc: make sure we always read nframes
	  Error out when we are asked to read a different size that what was configured as
	  the jack period size because that would mean something else is wrong.
	  Fixes #618409

2010-05-11 17:56:31 -0400  Tristan Matthews <tristan@sat.qc.ca>

	* ext/jack/gstjackaudiosrc.c:
	* ext/jack/gstjackaudiosrc.h:
	  jack: improve process_cb

2010-04-27 10:48:32 -0400  Tristan Matthews <tristan@tristan-laptop.(none)>

	* ext/jack/Makefile.am:
	* ext/jack/gstjackaudiosrc.c:
	* ext/jack/gstjackutil.c:
	* ext/jack/gstjackutil.h:
	  jack: implement multichannel support correctly for jackaudiosrc
	  Fixes parts of bug #616541.

2010-04-27 11:21:16 +0300  Stefan Kost <ensonic@users.sf.net>

	* ext/jack/gstjackaudiosink.c:
	* ext/jack/gstjackaudiosrc.c:
	* ext/jack/gstjackringbuffer.h:
	  jack: remove empty dispose and finalize methods

2010-04-27 10:59:00 +0300  Stefan Kost <ensonic@users.sf.net>

	* ext/jack/gstjackaudiosink.c:
	* ext/jack/gstjackaudiosrc.c:
	  jack: don't leak caps
	  Add dispose methods to clear caps.

2010-04-27 10:34:24 +0300  Stefan Kost <ensonic@users.sf.net>

	* ext/jack/gstjackaudiosink.c:
	* ext/jack/gstjackaudiosrc.c:
	  jack: don't use GST_DEBUG_FUNCPTR for gobject vmethods

2010-03-24 15:59:53 +0200  Stefan Kost <ensonic@users.sf.net>

	* ext/jack/gstjackaudiosrc.c:
	  jack: fix element name in section doc blob

2010-03-22 16:56:03 +0100  Benjamin Otte <otte@redhat.com>

	* ext/jack/gstjackaudiosrc.c:
	  Add -Wold-style-definition
	  and fix the warnings

2010-03-21 21:39:18 +0100  Benjamin Otte <otte@redhat.com>

	* ext/jack/gstjack.h:
	  Add -Wmissing-declarations -Wmissing-prototypes to configure flags
	  And fix all warnings

2010-03-18 17:30:26 +0100  Benjamin Otte <otte@redhat.com>

	* ext/jack/gstjackaudiosink.c:
	* ext/jack/gstjackaudiosrc.c:
	  gst_element_class_set_details => gst_element_class_set_details_simple

2009-10-12 09:06:37 +0300  Stefan Kost <ensonic@users.sf.net>

	* ext/jack/gstjackaudiosink.c:
	* ext/jack/gstjackaudiosrc.c:
	  jack: ensure segtotal is at least 2
	  Not only adjust buffer-time and avoid segtotal=0, but instead ensure segtotal is
	  atleast 2. Do same change on jacksrc. We could also check the latency and buffer
	  time configured by the client and adjust buffer-time so that we get to the same
	  number of segments.

2009-10-12 00:51:27 +0300  Stefan Kost <ensonic@users.sf.net>

	* ext/jack/gstjackaudiosink.c:
	  jack: don't crash in ringbuffer with SIGFPE on small buffer-times
	  Jack overrides user-specified latency-time with the one it gets from jack
	  itself. It also needs to adjust buffer-time somewhat to avoid segtotal being 0

2009-05-11 16:12:54 +0300  Stefan Kost <ensonic@users.sf.net>

	* ext/jack/gstjackaudioclient.c:
	* ext/jack/gstjackaudiosink.c:
	  jack: when stopping playback, do one more cycle to flush the port. Fixes #582167
	  The gst_jack_audio_client_set_active() flags the port as deactivating and uses
	  a GCond to wait until the jack_process_cb() has run once more and cleared the
	  flag. This way the client zero's the buffer. This happens if one manyally go
	  to PAUSED and then to READY, while leting the mainloop run inbetween.

2009-03-16 11:21:02 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/jack/gstjack.c:
	* ext/jack/gstjack.h:
	* ext/jack/gstjackaudiosink.c:
	* ext/jack/gstjackaudiosrc.c:
	  jack: Add new connection mode
	  Add a new connection mode to jacksrc and jacksink. In this new auto-force
	  connection mode jack will create as many ports as requested/needed in the
	  pipeline and will then connect as many physical ports as possible, possibly
	  leaving some ports unconnected.
	  Also get rid of some leftover g_print.
	  Fixes #575284.

2008-11-23 17:50:08 +0000  Stefan Kost <ensonic@users.sourceforge.net>

	  ext/jack/: Query port latencies for sink/src delays.
	  Original commit message from CVS:
	  * ext/jack/gstjackaudiosink.c:
	  * ext/jack/gstjackaudiosrc.c:
	  Query port latencies for sink/src delays.
	  * ext/jack/gstjackbin.c:
	  No printf please.

2008-11-04 12:42:30 +0000  Stefan Kost <ensonic@users.sourceforge.net>

	  Don't install static libs for plugins. Fixes #550851 for -bad.
	  Original commit message from CVS:
	  * ext/alsaspdif/Makefile.am:
	  * ext/amrwb/Makefile.am:
	  * ext/apexsink/Makefile.am:
	  * ext/arts/Makefile.am:
	  * ext/artsd/Makefile.am:
	  * ext/audiofile/Makefile.am:
	  * ext/audioresample/Makefile.am:
	  * ext/bz2/Makefile.am:
	  * ext/cdaudio/Makefile.am:
	  * ext/celt/Makefile.am:
	  * ext/dc1394/Makefile.am:
	  * ext/dirac/Makefile.am:
	  * ext/directfb/Makefile.am:
	  * ext/divx/Makefile.am:
	  * ext/dts/Makefile.am:
	  * ext/faac/Makefile.am:
	  * ext/faad/Makefile.am:
	  * ext/gsm/Makefile.am:
	  * ext/hermes/Makefile.am:
	  * ext/ivorbis/Makefile.am:
	  * ext/jack/Makefile.am:
	  * ext/jp2k/Makefile.am:
	  * ext/ladspa/Makefile.am:
	  * ext/lcs/Makefile.am:
	  * ext/libfame/Makefile.am:
	  * ext/libmms/Makefile.am:
	  * ext/metadata/Makefile.am:
	  * ext/mpeg2enc/Makefile.am:
	  * ext/mplex/Makefile.am:
	  * ext/musepack/Makefile.am:
	  * ext/musicbrainz/Makefile.am:
	  * ext/mythtv/Makefile.am:
	  * ext/nas/Makefile.am:
	  * ext/neon/Makefile.am:
	  * ext/ofa/Makefile.am:
	  * ext/polyp/Makefile.am:
	  * ext/resindvd/Makefile.am:
	  * ext/sdl/Makefile.am:
	  * ext/shout/Makefile.am:
	  * ext/snapshot/Makefile.am:
	  * ext/sndfile/Makefile.am:
	  * ext/soundtouch/Makefile.am:
	  * ext/spc/Makefile.am:
	  * ext/swfdec/Makefile.am:
	  * ext/tarkin/Makefile.am:
	  * ext/theora/Makefile.am:
	  * ext/timidity/Makefile.am:
	  * ext/twolame/Makefile.am:
	  * ext/x264/Makefile.am:
	  * ext/xine/Makefile.am:
	  * ext/xvid/Makefile.am:
	  * gst-libs/gst/app/Makefile.am:
	  * gst-libs/gst/dshow/Makefile.am:
	  * gst/aiffparse/Makefile.am:
	  * gst/app/Makefile.am:
	  * gst/audiobuffer/Makefile.am:
	  * gst/bayer/Makefile.am:
	  * gst/cdxaparse/Makefile.am:
	  * gst/chart/Makefile.am:
	  * gst/colorspace/Makefile.am:
	  * gst/dccp/Makefile.am:
	  * gst/deinterlace/Makefile.am:
	  * gst/deinterlace2/Makefile.am:
	  * gst/dvdspu/Makefile.am:
	  * gst/festival/Makefile.am:
	  * gst/filter/Makefile.am:
	  * gst/flacparse/Makefile.am:
	  * gst/flv/Makefile.am:
	  * gst/games/Makefile.am:
	  * gst/h264parse/Makefile.am:
	  * gst/librfb/Makefile.am:
	  * gst/mixmatrix/Makefile.am:
	  * gst/modplug/Makefile.am:
	  * gst/mpeg1sys/Makefile.am:
	  * gst/mpeg4videoparse/Makefile.am:
	  * gst/mpegdemux/Makefile.am:
	  * gst/mpegtsmux/Makefile.am:
	  * gst/mpegvideoparse/Makefile.am:
	  * gst/mve/Makefile.am:
	  * gst/nsf/Makefile.am:
	  * gst/nuvdemux/Makefile.am:
	  * gst/overlay/Makefile.am:
	  * gst/passthrough/Makefile.am:
	  * gst/pcapparse/Makefile.am:
	  * gst/playondemand/Makefile.am:
	  * gst/rawparse/Makefile.am:
	  * gst/real/Makefile.am:
	  * gst/rtjpeg/Makefile.am:
	  * gst/rtpmanager/Makefile.am:
	  * gst/scaletempo/Makefile.am:
	  * gst/sdp/Makefile.am:
	  * gst/selector/Makefile.am:
	  * gst/smooth/Makefile.am:
	  * gst/smoothwave/Makefile.am:
	  * gst/speed/Makefile.am:
	  * gst/speexresample/Makefile.am:
	  * gst/stereo/Makefile.am:
	  * gst/subenc/Makefile.am:
	  * gst/tta/Makefile.am:
	  * gst/vbidec/Makefile.am:
	  * gst/videodrop/Makefile.am:
	  * gst/videosignal/Makefile.am:
	  * gst/virtualdub/Makefile.am:
	  * gst/vmnc/Makefile.am:
	  * gst/y4m/Makefile.am:
	  * sys/acmenc/Makefile.am:
	  * sys/cdrom/Makefile.am:
	  * sys/dshowdecwrapper/Makefile.am:
	  * sys/dshowsrcwrapper/Makefile.am:
	  * sys/dvb/Makefile.am:
	  * sys/dxr3/Makefile.am:
	  * sys/fbdev/Makefile.am:
	  * sys/oss4/Makefile.am:
	  * sys/qcam/Makefile.am:
	  * sys/qtwrapper/Makefile.am:
	  * sys/vcd/Makefile.am:
	  * sys/wininet/Makefile.am:
	  * win32/common/config.h:
	  Don't install static libs for plugins. Fixes #550851 for -bad.

2008-09-17 13:59:21 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  Fix compiler warnings on OS/X
	  Original commit message from CVS:
	  * ext/jack/gstjackaudiosink.c: (jack_process_cb):
	  * gst/rtpmanager/rtpjitterbuffer.c: (calculate_skew):
	  Fix compiler warnings on OS/X

2008-08-07 13:15:21 +0000  Stefan Kost <ensonic@users.sourceforge.net>

	  ext/jack/gstjackaudiosrc.c: Try committing this once again. Now properly renamed.
	  Original commit message from CVS:
	  * ext/jack/gstjackaudiosrc.c:
	  Try committing this once again. Now properly renamed.

2008-08-07 09:09:44 +0000  Stefan Kost <ensonic@users.sourceforge.net>

	  docs/plugins/: docs/plugins/inspect/plugin-jack.xml
	  Original commit message from CVS:
	  * docs/plugins/Makefile.am:
	  * docs/plugins/gst-plugins-bad-plugins-docs.sgml:
	  * docs/plugins/gst-plugins-bad-plugins-sections.txt:
	  * docs/plugins/gst-plugins-bad-plugins.args:
	  * docs/plugins/gst-plugins-bad-plugins.hierarchy:
	  * docs/plugins/gst-plugins-bad-plugins.interfaces:
	  * docs/plugins/gst-plugins-bad-plugins.prerequisites:
	  * docs/plugins/inspect/plugin-jack.xml
	  Add new element to docs.
	  * ext/jack/gstjack.h
	  Add missing file.
	  * ext/jack/gstjackaudiosrc.c:
	  * ext/jack/gstjackaudiosrc.h:
	  Rename jackaudiosrc to jack_audio_src.

2008-08-07 08:47:40 +0000  Tristan Matthews <tristan@sat.qc.ca>

	  ext/jack/: Add a jackaudiosrc. Refactor sink slightly for better code reuse.
	  Original commit message from CVS:
	  patch by: Tristan Matthews <tristan@sat.qc.ca>
	  * ext/jack/Makefile.am:
	  * ext/jack/gstjack.c:
	  * ext/jack/gstjackaudioclient.c:
	  * ext/jack/gstjackaudiosink.c:
	  * ext/jack/gstjackaudiosink.h:
	  * ext/jack/gstjackaudiosrc.c:
	  * ext/jack/gstjackaudiosrc.h:
	  * ext/jack/gstjackringbuffer.h:
	  Add a jackaudiosrc. Refactor sink slightly for better code reuse.
	  Fixes #545197.

2008-06-13 11:59:23 +0000  Stefan Kost <ensonic@users.sourceforge.net>

	  docs/plugins/: docs/plugins/inspect/plugin-mythtv.xml
	  Original commit message from CVS:
	  * docs/plugins/Makefile.am:
	  * docs/plugins/gst-plugins-bad-plugins-docs.sgml:
	  * docs/plugins/gst-plugins-bad-plugins-sections.txt:
	  * docs/plugins/gst-plugins-bad-plugins.args:
	  * docs/plugins/gst-plugins-bad-plugins.hierarchy:
	  * docs/plugins/gst-plugins-bad-plugins.interfaces:
	  * docs/plugins/gst-plugins-bad-plugins.prerequisites:
	  * docs/plugins/gst-plugins-bad-plugins.signals:
	  * docs/plugins/inspect/plugin-alsaspdif.xml:
	  * docs/plugins/inspect/plugin-amrwb.xml:
	  * docs/plugins/inspect/plugin-app.xml:
	  * docs/plugins/inspect/plugin-bayer.xml:
	  * docs/plugins/inspect/plugin-bz2.xml:
	  * docs/plugins/inspect/plugin-cdaudio.xml:
	  * docs/plugins/inspect/plugin-cdxaparse.xml:
	  * docs/plugins/inspect/plugin-dtsdec.xml:
	  * docs/plugins/inspect/plugin-dvb.xml:
	  * docs/plugins/inspect/plugin-dvdspu.xml:
	  * docs/plugins/inspect/plugin-faac.xml:
	  * docs/plugins/inspect/plugin-faad.xml:
	  * docs/plugins/inspect/plugin-fbdevsink.xml:
	  * docs/plugins/inspect/plugin-festival.xml:
	  * docs/plugins/inspect/plugin-filter.xml:
	  * docs/plugins/inspect/plugin-flvdemux.xml:
	  * docs/plugins/inspect/plugin-freeze.xml:
	  * docs/plugins/inspect/plugin-gsm.xml:
	  * docs/plugins/inspect/plugin-gstinterlace.xml:
	  * docs/plugins/inspect/plugin-gstrtpmanager.xml:
	  * docs/plugins/inspect/plugin-h264parse.xml:
	  * docs/plugins/inspect/plugin-interleave.xml:
	  * docs/plugins/inspect/plugin-jack.xml:
	  * docs/plugins/inspect/plugin-ladspa.xml:
	  * docs/plugins/inspect/plugin-metadata.xml:
	  * docs/plugins/inspect/plugin-mms.xml:
	  * docs/plugins/inspect/plugin-modplug.xml:
	  * docs/plugins/inspect/plugin-mpeg2enc.xml:
	  * docs/plugins/inspect/plugin-mpeg4videoparse.xml:
	  * docs/plugins/inspect/plugin-mpegtsparse.xml:
	  * docs/plugins/inspect/plugin-mpegvideoparse.xml:
	  * docs/plugins/inspect/plugin-musepack.xml:
	  * docs/plugins/inspect/plugin-musicbrainz.xml:
	  * docs/plugins/inspect/plugin-mve.xml:
	  * docs/plugins/inspect/plugin-mythtv.xml
	  * docs/plugins/inspect/plugin-nas.xml:
	  * docs/plugins/inspect/plugin-neon.xml:
	  * docs/plugins/inspect/plugin-nsfdec.xml:
	  * docs/plugins/inspect/plugin-nuvdemux.xml:
	  * docs/plugins/inspect/plugin-oss4.xml
	  * docs/plugins/inspect/plugin-rawparse.xml:
	  * docs/plugins/inspect/plugin-real.xml:
	  * docs/plugins/inspect/plugin-replaygain.xml:
	  * docs/plugins/inspect/plugin-rfbsrc.xml:
	  * docs/plugins/inspect/plugin-sdl.xml:
	  * docs/plugins/inspect/plugin-sdp.xml:
	  * docs/plugins/inspect/plugin-selector.xml:
	  * docs/plugins/inspect/plugin-sndfile.xml:
	  * docs/plugins/inspect/plugin-soundtouch.xml:
	  * docs/plugins/inspect/plugin-spcdec.xml:
	  * docs/plugins/inspect/plugin-speed.xml:
	  * docs/plugins/inspect/plugin-speexresample.xml:
	  * docs/plugins/inspect/plugin-stereo.xml:
	  * docs/plugins/inspect/plugin-subenc.xml
	  * docs/plugins/inspect/plugin-timidity.xml:
	  * docs/plugins/inspect/plugin-tta.xml:
	  * docs/plugins/inspect/plugin-vcdsrc.xml:
	  * docs/plugins/inspect/plugin-videosignal.xml:
	  * docs/plugins/inspect/plugin-vmnc.xml:
	  * docs/plugins/inspect/plugin-wildmidi.xml:
	  * docs/plugins/inspect/plugin-x264.xml:
	  * docs/plugins/inspect/plugin-xvid.xml:
	  * docs/plugins/inspect/plugin-y4menc.xml:
	  * ext/amrwb/gstamrwbdec.c:
	  * ext/amrwb/gstamrwbenc.c:
	  * ext/amrwb/gstamrwbparse.c:
	  * ext/dc1394/gstdc1394.c:
	  * ext/directfb/dfbvideosink.c:
	  * ext/ivorbis/vorbisdec.c:
	  * ext/jack/gstjackaudiosink.c:
	  * ext/mpeg2enc/gstmpeg2enc.cc:
	  * ext/mplex/gstmplex.cc:
	  * ext/musicbrainz/gsttrm.c:
	  * ext/mythtv/gstmythtvsrc.c:
	  * ext/theora/theoradec.c:
	  * ext/timidity/gsttimidity.c:
	  * ext/timidity/gstwildmidi.c:
	  * gst-libs/gst/app/gstappsink.c:
	  * gst/deinterlace/gstdeinterlace.c:
	  * gst/dvdspu/gstdvdspu.c:
	  * gst/festival/gstfestival.c:
	  * gst/freeze/gstfreeze.c:
	  * gst/interleave/deinterleave.c:
	  * gst/interleave/interleave.c:
	  * gst/modplug/gstmodplug.cc:
	  * gst/nuvdemux/gstnuvdemux.c:
	  Add missing elements to docs. Fix doc-markup: use convinience syntax
	  for examples (produces valid docbook), add several refsec2 when we
	  have several titles. Fix some types.

2008-06-12 14:49:18 +0000  Stefan Kost <ensonic@users.sourceforge.net>

	  Do not use short_description in section docs for elements. We extract them from element details and there will be war...
	  Original commit message from CVS:
	  * ext/dc1394/gstdc1394.c:
	  * ext/ivorbis/vorbisdec.c:
	  * ext/jack/gstjackaudiosink.c:
	  * ext/metadata/gstmetadatademux.c:
	  * ext/mythtv/gstmythtvsrc.c:
	  * ext/theora/theoradec.c:
	  * gst-libs/gst/app/gstappsink.c:
	  * gst/bayer/gstbayer2rgb.c:
	  * gst/deinterlace/gstdeinterlace.c:
	  * gst/rawparse/gstaudioparse.c:
	  * gst/rawparse/gstvideoparse.c:
	  * gst/rtpmanager/gstrtpbin.c:
	  * gst/rtpmanager/gstrtpclient.c:
	  * gst/rtpmanager/gstrtpjitterbuffer.c:
	  * gst/rtpmanager/gstrtpptdemux.c:
	  * gst/rtpmanager/gstrtpsession.c:
	  * gst/rtpmanager/gstrtpssrcdemux.c:
	  * gst/selector/gstinputselector.c:
	  * gst/selector/gstoutputselector.c:
	  * gst/videosignal/gstvideoanalyse.c:
	  * gst/videosignal/gstvideodetect.c:
	  * gst/videosignal/gstvideomark.c:
	  * sys/oss4/oss4-mixer.c:
	  * sys/oss4/oss4-sink.c:
	  * sys/oss4/oss4-source.c:
	  Do not use short_description in section docs for elements. We extract
	  them from element details and there will be warnings if they differ.
	  Also fixing up the ChangeLog order.

2008-05-26 17:52:21 +0000  Wim Taymans <wim.taymans@gmail.com>

	  ext/jack/gstjackaudiosink.c: Include the element name in the port name to avoid duplicate port names.
	  Original commit message from CVS:
	  * ext/jack/gstjackaudiosink.c:
	  (gst_jack_audio_sink_allocate_channels):
	  Include the element name in the port name to avoid duplicate port names.

2008-04-06 20:18:16 +0000  Tim-Philipp Müller <tim@centricular.net>
[--snip--]
